Bug 122584 - up2date hangs if server goes to from low to high load during download phase
up2date hangs if server goes to from low to high load during download phase
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2004-05-05 18:43 EDT by Simon Fonceca
Modified: 2007-04-18 13:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 14:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simon Fonceca 2004-05-05 18:43:56 EDT
Description of problem:
hangs if service status is altered during download, being unable to
cope with an xml error message

How reproducible:

Steps to Reproduce:
1. start up2date
2. start downloading packages
3. redhat switches server status due to high load
Actual results:
hangs, can be restarted

Expected results:
should cope with error, giving some sort of "try again later, from
where we left off"
Comment 1 Simon Fonceca 2004-05-05 18:45:19 EDT
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1611, in doRetrieval
  File "/usr/share/rhn/up2date_client/up2date.py", line 269, in getPackage
    buffer = rpcServer.doCall(rpmSource.psc.packageSource.getPackage,
pkg, msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 146, in doCall
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 112, in
    loginInfo = login()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 100, in login
    loginInfo = rpcServer.doCall(server.up2date.login, systemId)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 114, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 153,
in request
    return self.parse_response(fd)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 173,
in parse_response
    return u.close()
  File "/usr/lib/python2.2/xmlrpclib.py", line 571, in close
    raise apply(Fault, (), self._stack[0])
xmlrpclib.Fault: <Fault -51: "\nError Message:\n    Demo service for
server 1003502094 limited due to high load\nError Class Code:
51\nError Class Info: \n
Demo service currently disabled due to high load. If you would like\n
    to see Red Hat's policies on Demo service, or find out how you can
\n     purchase a subscription service and receive priority download
access, \n     please go to http://rhn.redhat.com/preview/index.pxt\n">
Comment 2 Adrian Likins 2004-08-26 14:54:47 EDT
We dont throttle "high load mode" anymore, so closing this.

Note You need to log in before you can comment on or make changes to this bug.